/** Auto-parsing of the link to the project: */
function parse_url(url) {
    var pattern = RegExp("^(([^:/?#]+):)?(//([^/?#]*))?([^?#]*)(\\?([^#]*))?(#(.*))?");
    var matches =  url.match(pattern);
    return {
        scheme: matches[2],
        authority: matches[4],
        path: matches[5],
        query: matches[7],
        fragment: matches[9]
    };
}
 
function HTTPUpdate(url)
{
   var parsed_url = parse_url(url);
   var downloader = IR.DownLoadProject(
                     {
                        type:parsed_url.scheme,
                        host:parsed_url.authority,
                        path:parsed_url.path + '?' + parsed_url.query,
                     });
}
 
/** Aca se reemplaza desde el OBy_    ej:https://drive.google.com/file/d/0By_JtBYTkCZ-RE5BbkFZUDRRV2M/view?usp=sharing: */
function Update_by_press()
{
      HTTPUpdate('https://drive.google.com/uc?export=view&id=0By_JtBYTkCZ-RE5BbkFZUDRRV2M');
}                
 
/** Recall the link by command "ScriptCall (Update_by_press)" */

          
/******************************************************************************
// Updater with manual parsing of the link to the project
function Update_by_press_2()    // function should be called by name
{   
   IR.DownLoadProject({                            // URL:
                     type : 'https',               // [http, https, ftp] 
                     host : 's3.amazonaws.com',    // host name
                     port : 443,                   //[http = 80, https = 443, ftp = 21] 
                     path : '/iRidiumWiki2.0/iRidiumTransfer/HTTP_Upload.irpz',  // path to project
                     method : 'GET'                //[GET, POST]
                  });
}
*/